# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Resource types

* [`dsc_xfilesystemaccessrule`](#dsc_xfilesystemaccessrule): The DSC xFileSystemAccessRule resource type. Automatically generated from version 1.5.1
* [`dsc_xieesc`](#dsc_xieesc): The DSC  resource type. Automatically generated from version 1.5.1
* [`dsc_xuac`](#dsc_xuac): The DSC  resource type. Automatically generated from version 1.5.1

## Resource types

### <a name="dsc_xfilesystemaccessrule"></a>`dsc_xfilesystemaccessrule`

The DSC xFileSystemAccessRule resource type.
Automatically generated from version 1.5.1

#### Properties

The following properties are available in the `dsc_xfilesystemaccessrule` type.

##### `dsc_ensure`

Data type: `Optional[Enum['Present', 'Absent']]`

Present to create the rule, Absent to remove an existing rule. Default value is 'Present'.

##### `dsc_isactivenode`

Data type: `Optional[Boolean]`

Determines if the current node is actively hosting the filesystem object.

##### `dsc_processonlyonactivenode`

Data type: `Optional[Boolean]`

Specifies that the resource will only determine if a change is needed if the target node is the active host of the filesystem object. The user the configuration is run as must have permission to the Windows Server Failover Cluster.

##### `dsc_rights`

Data type: `Optional[Array[Enum['ListDirectory', 'ReadData', 'WriteData', 'CreateFiles', 'CreateDirectories', 'AppendData', 'ReadExtendedAttributes', 'WriteExtendedAttributes', 'Traverse', 'ExecuteFile', 'DeleteSubdirectoriesAndFiles', 'ReadAttributes', 'WriteAttributes', 'Write', 'Delete', 'ReadPermissions', 'Read', 'ReadAndExecute', 'Modify', 'ChangePermissions', 'TakeOwnership', 'Synchronize', 'FullControl']]]`

The permissions to include in this rule. Optional if Ensure is set to value 'Absent'.

#### Parameters

The following parameters are available in the `dsc_xfilesystemaccessrule` type.

* [`dsc_identity`](#dsc_identity)
* [`dsc_path`](#dsc_path)
* [`dsc_psdscrunascredential`](#dsc_psdscrunascredential)
* [`name`](#name)
* [`validation_mode`](#validation_mode)

##### <a name="dsc_identity"></a>`dsc_identity`

namevar

Data type: `String`

The identity to set permissions for

##### <a name="dsc_path"></a>`dsc_path`

namevar

Data type: `String`

The path to the item that should have permissions set

##### <a name="dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

### <a name="dsc_xieesc"></a>`dsc_xieesc`

The DSC  resource type.
Automatically generated from version 1.5.1

#### Properties

The following properties are available in the `dsc_xieesc` type.

##### `dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

#### Parameters

The following parameters are available in the `dsc_xieesc` type.

* [`dsc_isenabled`](#dsc_isenabled)
* [`dsc_userrole`](#dsc_userrole)
* [`name`](#name)
* [`validation_mode`](#validation_mode)

##### <a name="dsc_isenabled"></a>`dsc_isenabled`

namevar

Data type: `Boolean`

 

##### <a name="dsc_userrole"></a>`dsc_userrole`

namevar

Data type: `String`

 

##### <a name="name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

### <a name="dsc_xuac"></a>`dsc_xuac`

The DSC  resource type.
Automatically generated from version 1.5.1

#### Properties

The following properties are available in the `dsc_xuac` type.

##### `dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

#### Parameters

The following parameters are available in the `dsc_xuac` type.

* [`dsc_setting`](#dsc_setting)
* [`name`](#name)
* [`validation_mode`](#validation_mode)

##### <a name="dsc_setting"></a>`dsc_setting`

namevar

Data type: `String`

 

##### <a name="name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

